\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Functions
CGAL::cpp11 Namespace Reference

## Classes
class | array
| An object of the class `cpp11::array` represents an array of elements of type `T`, the number of which is specified by the second template argument. More...
struct | result_of
| Alias to the tr1 implementation from boost of the `result_of` mechanism. More...
class | tuple
| An object of the class `cpp11::tuple` represents a heterogeneous tuple of elements of the types specified in parameters, which are in variadic number. More...

## Functions
template<typename ForwardIterator >
Iterator | next (ForwardIterator it)
| The function returns the result of `operator++` on a `ForwardIterator`. More...
template<typename BidirectionalIterator >
Iterator | prev (BidirectionalIterator it)
| The function returns the result of `operator--` on a `BidirectionalIterator`. More...
template<class InputIterator , class Size , class OutputIterator >
OutputIterator | copy_n (InputIterator first, Size count, OutputIterator result)
| Copies `n` items from an input iterator to an output iterator. More...